Bug 144793 - evo hang
evo hang
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 11:30 EST by Bryan W Clark
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-31 16:28:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
t a a bt from latest evo hang (5.50 KB, text/plain)
2005-01-11 15:55 EST, Bryan W Clark
no flags Details

  None (edit)
Description Bryan W Clark 2005-01-11 11:30:06 EST
Here's what happened from my perspective.  I wanted to read a very
important email that was sitting in my INBOX and was unread.  I moved
the selected row from a earlier message up to the new message and
pressed enter.  Before I pressed enter and just after I was moving my
selection from a previous row a new message had arrived and evo said
if was filtering it.  I hit enter on the important message and
BLAM*((*@&@!!  The whole thing froze.

Here's the technical story for you as well:

[clarkbw@rhbw ~]$ rpm -qv evolution
evolution-2.0.3-2
[clarkbw@rhbw ~]$ rpm -qv evolution-data-server
evolution-data-server-1.0.3-2

(gdb) t a a bt

Thread 9 (Thread 31624112 (LWP 4074)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00739b36 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x008fade7 in e_msgport_wait (mp=0x9158578) at e-msgport.c:511
#3  0x008fb4a1 in thread_dispatch (din=0x91591c8) at e-msgport.c:874
#4  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 8 (Thread 42113968 (LWP 4075)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00739b36 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x008fade7 in e_msgport_wait (mp=0x9158578) at e-msgport.c:511
#3  0x008fb4a1 in thread_dispatch (din=0x91591c8) at e-msgport.c:874
#4  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 7 (Thread 68168624 (LWP 4077)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00739b36 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
---Type <return> to continue, or q <return> to quit---
#2  0x008fade7 in e_msgport_wait (mp=0x9157af8) at e-msgport.c:511
#3  0x008fb4a1 in thread_dispatch (din=0x9153d98) at e-msgport.c:874
#4  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 6 (Thread 78658480 (LWP 4079)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00739b36 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x008fade7 in e_msgport_wait (mp=0x9158578) at e-msgport.c:511
#3  0x008fb4a1 in thread_dispatch (din=0x91591c8) at e-msgport.c:874
#4  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#5  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 5 (Thread 145165232 (LWP 4080)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0073c46b in __write_nocancel () from /lib/tls/libpthread.so.0
#2  0x008faa8b in e_msgport_put (mp=0x9153e88, msg=0xfffffe00)
    at e-msgport.c:449
#3  0x036a4cee in mail_operation_status (op=0xfffffe00,
    what=0xfffffe00 <Address 0xfffffe00 out of bounds>, pc=0,
data=0xfffffe00)
    at mail-mt.c:1026
#4  0x06f88dae in camel_operation_start (cc=0xa4be410,
---Type <return> to continue, or q <return> to quit---
    what=0xfffffe00 <Address 0xfffffe00 out of bounds>)
    at camel-operation.c:528
#5  0x036a3dca in mail_msg_received (e=0x9153d20, msg=0xa4c0e70, data=0x0)
    at mail-mt.c:545
#6  0x008fb435 in thread_dispatch (din=0x9153d20) at e-msgport.c:826
#7  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#8  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 4 (Thread -1212548176 (LWP 4083)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0073c46b in __write_nocancel () from /lib/tls/libpthread.so.0
#2  0x008faa8b in e_msgport_put (mp=0x9153e88, msg=0xfffffe00)
    at e-msgport.c:449
#3  0x036a3f31 in mail_async_event_emit (ea=0xa473bf8,
type=MAIL_ASYNC_GUI,
    func=0xfffffe00, o=0xfffffe00, event_data=0xfffffe00, data=0xfffffe00)
    at mail-mt.c:717
#4  0x036b3108 in folder_changed (o=0xfffffe00, event_data=0xa2069b8,
    user_data=0xa4230f0) at message-list.c:2749
#5  0x06f880d1 in camel_object_trigger_event (vo=0x998c8e0,
    name=0xb7b9f1e0
"x\032\uffff\t\214\032\uffff\t\uffff\032\uffff\t\uffff\032\uffff\t\034x\032\n\bx\032\nD\uffffU\tX\uffffU\tl\uffffU\t\b\u0162\tD\u0162\t\200\u0162\t\uffff\u0162\t\230\uffff\uffff\t\uffff\uffff\uffff\t8\uffff\uffff\t\210\uffff\uffff\t\034\"\235\tt\211\230\ty\uffff\217",
event_data=0xa2069b8) at camel-object.c:1257
#6  0x06f68200 in thaw (folder=0x998c8e0) at camel-folder.c:1601
---Type <return> to continue, or q <return> to quit---
#7  0x062b24b9 in imap_thaw (folder=0x998c8e0) at camel-imap-folder.c:2576
#8  0x06f66346 in camel_folder_thaw (folder=0x998c8e0) at
camel-folder.c:1619
#9  0x06f6707e in filter_free (session=0x916e690, msg=0xb6e51148)
    at camel-folder.c:1758
#10 0x06f94704 in session_thread_msg_free (session=0x916e690,
msg=0xb6e51148)
    at camel-session.c:500
#11 0x036abe03 in ms_thread_msg_free (session=0xfffffe00, m=0xb6e51148)
    at mail-session.c:542
#12 0x06f94787 in camel_session_thread_msg_free (session=0x916e690,
    msg=0xb6e51148) at camel-session.c:598
#13 0x06f948a0 in session_thread_destroy (thread=0x99d2458,
msg=0xfffffe00,
    session=0xfffffe00) at camel-session.c:511
#14 0x008fb00d in thread_destroy_msg (e=0x99d2458, m=0xb6e51148)
    at e-msgport.c:810
#15 0x008fb4c9 in thread_dispatch (din=0x99d2458) at e-msgport.c:913
#16 0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#17 0x00537aee in clone () from /lib/tls/libc.so.6

Thread 3 (Thread -1226835024 (LWP 4404)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0052def4 in poll () from /lib/tls/libc.so.6
#2  0x006d7929 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x006d7cbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#4  0x00f7ed1a in e_book_set_default_source () from /usr/lib/libebook.so.8
#5  0x007373ae in start_thread () from /lib/tls/libpthread.so.0
#6  0x00537aee in clone () from /lib/tls/libc.so.6

Thread 2 (Thread -1237324880 (LWP 4405)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x0052def4 in poll () from /lib/tls/libc.so.6
#2  0x006d7929 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#3  0x006d7cbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#4  0x00377bff in link_thread_io_context () from /usr/lib/libORBit-2.so.0
#5  0x0072f67c in ?? () from /usr/lib/libglib-2.0.so.0
#6  0xb63fe458 in ?? ()
#7  0x006f060b in g_static_private_free () from /usr/lib/libglib-2.0.so.0
Previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread -1208096096 (LWP 4067)):
#0  0x004587a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x00739b36 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/libpthread.so.0
#2  0x008fb953 in e_mutex_lock (m=0x95b99f0) at e-msgport.c:1078
#3  0x06f85375 in camel_object_get_hooks (o=0x998c8e0) at
camel-object.c:1060
#4  0x06f87d4e in camel_object_unref (vo=0x998c8e0) at camel-object.c:796
#5  0x036a7aeb in sync_folder_free (mm=0xfffffffc) at mail-ops.c:1436
#6  0x036a4190 in mail_msg_free (msg=0xa4c74f8) at mail-mt.c:179
---Type <return> to continue, or q <return> to quit---
#7  0x036a43b2 in mail_msgport_replied (source=0x9158b88, cond=G_IO_IN,
    d=0x9153508) at mail-mt.c:449
#8  0x006fa6cd in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#9  0x006d6178 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#10 0x006d7998 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#11 0x006d7cbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#12 0x05a8ddd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#13 0x08063b79 in main (argc=3, argv=0xbff16414) at main.c:585
Comment 1 Bryan W Clark 2005-01-11 15:55:38 EST
Created attachment 109639 [details]
t a a bt from latest evo hang
Comment 2 Bryan W Clark 2005-01-11 15:57:16 EST
Just to note, I don't think I had these problems before the
mozilla-nss upgrade, that doesn't make much sense to me but I thought
I'd mention it.

[clarkbw@rhbw ~]$ rpm -qv mozilla-nss
mozilla-nss-1.7.5-3
[clarkbw@rhbw ~]$ rpm -qv mozilla-nspr
mozilla-nspr-1.7.5-3
Comment 3 Dave Malcolm 2005-08-18 00:17:25 EDT
Looks like a deadlock; main UI thread isn't able to get a lock on one of the
mutexes it needs.

To what extent did this bug recur?
Comment 4 Bryan W Clark 2005-08-18 10:22:19 EDT
Dave: I'm having a hard time reproducing this lately.
Comment 6 Bryan W Clark 2005-08-18 10:39:23 EDT
At the time it was reproducing I could make it happen anytime I wanted.  I'm
good like that.
Comment 8 Matthew Barnes 2006-12-31 23:28:16 EST
Is this bug still present in Fedora Core 6 or later?
Comment 9 Matěj Cepl 2007-08-31 12:24:22 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, this bug will be closed as INSUFFICIENT_DATA. Thank you.
Comment 10 Bryan W Clark 2007-08-31 16:00:54 EDT
@mbarnes: Couldn't say anymore, I stopped using evolution altogether now.  I
guess we can hope it was fixed so the bug can be closed. :)
Comment 11 Matthew Barnes 2007-08-31 16:28:40 EDT
I'll close this as CANTFIX then and chalk it off as Evolution being Evolution.

Note You need to log in before you can comment on or make changes to this bug.